export default [
  {
    path: '/user',
    layout: false,
    routes: [
      {
        path: '/user',
        routes: [
          {
            name: 'login',
            path: '/user/login',
            component: '@/pages/user/Login',
          },
        ],
      },
      {
        component: '@/pages/404',
      },
    ],
  },
  {
    path: '/',
    name: '工作台',//暂定
    redirect: '/invoiceFill',
    hideInMenu: true,
  },  
  {
    path: '/invoiceFill',
    name: '班次列表',
    icon: 'ClusterOutlined',
    component: '@/pages/invoiceFill',    
  },
  {
    path: '/invoiceFill/edit',
    name: '班次编辑',
    icon: 'ProfileOutlined',
    component: '@/pages/invoiceFill/edit.jsx',
    hideInMenu:true
  },
  {
    path: '/invoiceDetail',
    name: '开票明细',
    icon: 'ProfileOutlined',
    component: '@/pages/invoiceDetail',    
  },
  {
    path: '/nofill',
    name: '未填记录',
    icon: 'PicRightOutlined',
    component: '@/pages/noFill',    
  },
  {
    path: '/fillHistory',
    name: '填写历史',
    icon: 'NodeIndexOutlined',
    component: '@/pages/fillHistory',    
  },
  {
    path: '/',
    redirect: '/welcome',
  },
  {
    component: './404',
  },
];
