import request from '@/utils/request';

// 获取列表
export const getInvoiceFillList = (params) => request('/invoice', { params });

// 获取详情
export const getInvoiceFillDetail = (id) => request(`/invoice/${id}`);

// 新增保存
export const saveInvoiceFill = (data) => request('/invoice', { data, method: 'post' });

// 更新信息
export const updateInvoiceFill = (id, data) => request(`/invoice/${id}`, { data, method: 'put' });

/**
 * 删除班次
 * @param {*} data
 * @returns
 */
 export const deleteInvoiceFill = (id) => request(`/invoice/${id}`, { method: 'delete' });

 // 导出
export const getExport = (params) => request(`/invoice/${params.invoiceId}/export`, { params, method: 'post' });
